#!/bin/sh
# NMI Macros expected
# NMI_SRCDIR -- subdirectory containing source code
# NMI_ARGS_<taskname> -- arguments for a task
# NMI_TASKLIST -- Lists of remote tasks to run format = "taskname1,taskname2,..."
# NMI_TIMEOUT_<taskname> -- timeout value for a task
# _NMI_TASKNAME -- Used as the taskname if defined otherwise the value of --taskhook is used

export NMI_SRCDIR=srctest
./glue.pl -taskhook=scan

export NMI_TASKLIST="task1,task2,task3"
./glue.pl -taskhook=remote_declare

export NMI_TIMEOUT_task3=4
./glue.pl -taskhook=remote_declare

./glue.pl -taskhook=configure
./glue.pl -taskhook=build

export NMI_ARGS_test1='TESTNUM=Y'
./glue.pl -taskhook=test1

unset NMI_ARGS_test1
export NMI_PLATFORM='notaplatform'
export NMI_ARGS_test1_isaplatform='TESTNUM=Y'
./glue.pl -taskhook=test1
export NMI_PLATFORM='isaplatform'
./glue.pl -taskhook=test1
